
Redmine - Defect #38852

## issue syntax is not kept when selecting an issue from the inline autocomplete

2023-07-17 14:41 - Thomas Meyer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 5.0.7   

Resolution: Fixed Affected version: 5.0.5

Description

It is a nice feature to adress tickets with a double hash, followed by the ticket id, like here:

Defect #14269: custom field not displayed but not in read  only

We have the issue, that the suggester works fine ...

 clipboard-202307171438-q1qmq.png 

... and when we hit return, an auto-correction reduces the textile code to one hash:

 clipboard-202307171439-tlicd.png 

So the deliberate entry is lost.

Any idea whether this is a bug?

Environment:

Redmine version                5.0.5.stable

Ruby version                   2.7.5-p203 (2021-11-24) [x86_64-linux-gnu]

Rails version                  6.1.7.2

Environment                    production

Database adapter               PostgreSQL

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Subversion                     1.13.0

Mercurial                      5.3.1

Cvs                            1.12.13

Bazaar                         3.0.2

Git                            2.39.2

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Defect #40683: InlineAutocompleteSystemTest#test_inline_... Closed

Associated revisions

Revision 22419 - 2023-11-11 08:10 - Marius BĂLTEANU

Keep existing ## syntax when triggering an issue from the inline autocomplete (#38852).

Revision 22424 - 2023-11-12 12:00 - Marius BĂLTEANU

Merged r22419 from trunk to 5.1-stable (#38852).

Revision 22426 - 2023-11-12 12:07 - Marius BĂLTEANU

Merged r22419 from trunk to 5.0-stable (#38852).
Revision 22429 - 2023-11-12 23:17 - Marius BĂLTEANU

Wait for autocomplete to return all 3 issues in order to avoid StaleElementReferenceError (#38852).

Revision 22430 - 2023-11-12 23:20 - Marius BĂLTEANU

Merged r22429 from trunk to 5.1-stable (#38852).

Revision 22431 - 2023-11-12 23:23 - Marius BĂLTEANU

Remove extra blank line introduced in r22430 (#38852).

Revision 22432 - 2023-11-12 23:23 - Marius BĂLTEANU

Merged r22429 from trunk to 5.0-stable (#38852).

History

#1 - 2023-10-23 04:33 - Mischa The Evil

- Affected version changed from 5.0.4 to 5.0.5

#2 - 2023-10-29 22:10 - Marius BĂLTEANU

- Target version set to 5.0.7

#3 - 2023-10-29 22:12 - Marius BĂLTEANU

- Status changed from New to Confirmed

#4 - 2023-11-11 08:11 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Fixed with a test, thanks for reporting this issue.

#5 - 2023-11-12 12:08 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#6 - 2023-11-12 12:09 - Marius BĂLTEANU

- Subject changed from new ## ticket resolution feature hindered by suggester to ## issue syntax is not kept when selecting an issue from the inline

autocomplete

#7 - 2024-05-24 03:51 - Go MAEDA

- Related to Defect #40683: InlineAutocompleteSystemTest#test_inline_autocomplete_for_issues_with_double_hash_keep_syntax failure after

#40237 fix added
